Bug 451422 - When sorting themes, force "none" to be the first or last entry
Summary: When sorting themes, force "none" to be the first or last entry
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_splashscreen (show other bugs)
Version: unspecified
Platform: Other Other
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2022-03-12 09:48 UTC by Vytautas
Modified: 2022-05-22 19:39 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vytautas 2022-03-12 09:48:54 UTC
SUMMARY
The option "none" is sorted along with the other splash screens. I think it should probably be at the top/bottom as it really isn't a theme and sorting it as if it was just looks kinda weird.
Comment 1 galder 2022-03-12 13:46:57 UTC
you mean that it should be a separated option the at top for example.
Comment 2 Vytautas 2022-03-12 18:20:07 UTC
(In reply to galder from comment #1)
> you mean that it should be a separated option the at top for example.

Yeah, that would work too. Although I assume forcing it to be at the start/end of the grid instead of making a separate area for it would be a lot easier :)
Comment 3 galder 2022-03-12 18:23:33 UTC
Let's see what developers thinks about it.
regards
Comment 4 Nate Graham 2022-03-25 14:49:10 UTC
Yeah, seems reasonable.
Comment 5 Bug Janitor Service 2022-05-22 17:45:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/953
Comment 6 Alexander Lohnau 2022-05-22 19:39:09 UTC
Git commit c314fcf20c51f2117b6be9b5a991471b4083c58f by Alexander Lohnau.
Committed on 22/05/2022 at 17:45.
Pushed by alex into branch 'master'.

kcms/ksplash: Fix 'None' entry not appearing last in the grid view

FIXED-IN: 5.25

M  +20   -2    kcms/ksplash/kcm.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/c314fcf20c51f2117b6be9b5a991471b4083c58f
Comment 7 Alexander Lohnau 2022-05-22 19:39:40 UTC
Git commit eef1a5e4c9839cb37f9d8a84e1074c15d48ced1d by Alexander Lohnau.
Committed on 22/05/2022 at 19:39.
Pushed by alex into branch 'Plasma/5.25'.

kcms/ksplash: Fix 'None' entry not appearing last in the grid view

FIXED-IN: 5.25


(cherry picked from commit c314fcf20c51f2117b6be9b5a991471b4083c58f)

M  +20   -2    kcms/ksplash/kcm.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/eef1a5e4c9839cb37f9d8a84e1074c15d48ced1d